import { RestApiRouteHandler } from '../types';
import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
type AnyRestApiRouteHandler = RestApiRouteHandler<any, any, any, any, any, any>;
export declare class RestApi {
    private handlers;
    addRouteHandler(routeHandler: AnyRestApiRouteHandler): this;
    handleRequest(proxyEvent: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
    private getMatchingRouteHandlers;
    private getMatchingRouteHandler;
    private extractPathParams;
    private extractQueryParams;
}
export {};
